Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.export.mailchimp('CONVERSATION_ID');curl --request GET \
--url https://api.migma.ai/v1/export/mailchimp/{conversationId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.migma.ai/v1/export/mailchimp/{conversationId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"success": true,
"data": {
"files": [
{
"filename": "<string>",
"url": "<string>",
"content": "<string>",
"description": "<string>",
"fileSize": 123
}
],
"executionTime": 123
},
"error": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}Export Mailchimp
Export conversation as Mailchimp-compatible HTML. Returns URLs for file downloads.
GET
/
v1
/
export
/
mailchimp
/
{conversationId}
Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.export.mailchimp('CONVERSATION_ID');Authorizations
API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → Developers → API Keys.
Path Parameters
The conversation ID to export
Was this page helpful?
⌘I